Subject: bug#52901: [External] : Re: bug#52901: 26.3; (emacs) `Completion Styles': provide more guidance

From: Drew Adams <[email-masked]>
Date: Sat, 15 Jan 2022 21:56:19 +0000

> No specific suggestions were proffered, so I think it's unlikely to be
> more progress in this bug report, and I'm therefore closing it.

As I said:

  It's too bad, if those who currently could provide this
  guidance aren't willing to do so.  But that's not, IMO,
  a reason to close the bug report.  Perhaps at some point
  someone who understands the style relations well enough
  will offer to fix this.

  A _start_ might be to say whether there are some styles
  that are useless to specify when a particular other
  style precedes them in the list.

`completion-styles' work together.  It's not a great
design.  The first styles tries to complete.  If it
fails, the next tries, and so on.

Clearly, this favors completing when possible, as
opposed to giving more control over how the styles
are to be combined.  But it is what it is.

This behavior of combining styles, and the fact that
styles often overlap in the sets of completions they
arrive at for a given input and candidates-set, means
that users could really use some guidance about what
the predefined styles do _when used together_.  They
after all have to choose a sequence of styles to use.

IMO it's a disservice to users to brush this aside
just because those who currently have the know-how
to write this up aren't so inclined.  Far better to
leave this open, in hopes that someone will come
along with both the necessary knowledge and will to
help users with this.